import java.io.*;
import java.util.*;

import static java.lang.Math.max;

public class Main {

    public static void main(String[] args) throws IOException {
        long k = nextInt();
        long a = nextInt();
        long x = nextInt();
        long b = nextInt();
        long y = nextInt();
        if (a * y >= b * x){
            long sum = y * (k - b);
            sum += x * (k - b - a);
            out.println(max(sum, 0));
        }
        else{
            long sum = x * (k - a);
            sum += y * (k - a - b);
            out.println(max(sum, 0));
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}