import java.io.*;
import java.util.*;

import static java.lang.Math.max;
import static java.lang.Math.min;

public class Main {

    public static void main(String[] args) throws IOException {
        long n = nextLong();
        long a = nextLong();
        long x = nextLong();
        long b = nextLong();
        long y = nextLong();
        if (b == a){
            out.println(max(x, y) * max(0, n - b) + min(x, y) * max(0, n - b - b));
        }
        else if (b * x > a * y){
            out.println(x * max(0, n - a) + y * max(0, n - a - b));
        }
        else out.println(y * max(0, n - b) + x * max(0, n - a - b));
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}