import java.io.*;
import java.math.BigInteger;
import java.util.*;

import static java.lang.Math.max;
import static java.lang.Math.min;

public class Main {

    public static void main(String[] args) throws IOException {
        long n = nextInt();
        long a = nextInt();
        long x = nextInt();
        long b = nextInt();
        long y = nextInt();
        if (x != 0 && (double)b / y >= (double)a / x){
            BigInteger big = BigInteger.valueOf(x * max(0, n - a));
            out.println(big.add(BigInteger.valueOf(y * max(0, n - a - b))));
        }
        else{
            BigInteger big = BigInteger.valueOf(y * max(0, n - b));
            out.println(big.add(BigInteger.valueOf(x * max(0, n - a - b))));
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}